Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.doclets
Class TokenTypesDoclet

    java.lang.Object
      com.puppycrawl.tools.checkstyle.doclets.TokenTypesDoclet

public class TokenTypesDoclet
extends java.lang.Object

Doclet which is used to write property file with short descriptions (first sentences) of TokenTypes' constants.

Author:
  o_sukhodolsky

Constructor Summary
`TokenTypesDoclet()`

Method Summary
`static int` | `optionLength(java.lang.String aOption)` Returns option length (how many part aer in option).
`static boolean` | `start(com.sun.javadoc.RootDoc aRoot)` The doclet's starter method.
`static boolean` | `validOptions(java.lang.String[][] aOptions, com.sun.javadoc.DocErrorReporter aReporter)` Checks that only valid options was specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenTypesDoclet

    public TokenTypesDoclet()

Method Detail

### start

    public static boolean start(com.sun.javadoc.RootDoc aRoot)
                         throws java.io.FileNotFoundException

  The doclet's starter method.

  Parameters:
    `aRoot` - `RootDoc` given to the doclet
  Returns:
    true if the given `RootDoc` is processed.
  Throws:
    `java.io.FileNotFoundException` - will be thrown if the doclet will be unable to write to the specified file.

### optionLength

    public static int optionLength(java.lang.String aOption)

  Returns option length (how many part aer in option).

  Parameters:
    `aOption` - option name to process
  Returns:
    option length (how many part aer in option).

### validOptions

    public static boolean validOptions(java.lang.String[][] aOptions,
                                       com.sun.javadoc.DocErrorReporter aReporter)

  Checks that only valid options was specified.

  Parameters:
    `aOptions` - all parsed options
    `aReporter` - the reporter to report errors.
  Returns:
    true if only valid options was specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD